Bug 198118 - "vim" needs to be compiled --with-x=yes
"vim" needs to be compiled --with-x=yes
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-09 17:35 EDT by jafo-redhat
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-13 07:39:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description jafo-redhat 2006-07-09 17:35:02 EDT
Description of problem:
The text-mode "vim" is compiled with "--with-x=no".  This means that ":set
mouse=a" works very poorly under xterm.  In particular, things like the middle
mouse button will paste the last thing you deleted in vim, instead of the X
selection text.

Version-Release number of selected component (if applicable):
This has been the case for vim 7 from FC6t1, and also previous builds of vim in FC4.

How reproducible:
When running vim in an xterm with "set mouse=a".

Steps to Reproduce:
1.Run vim in an xterm, ":set mouse=a", go into insert mode, select text in
another xterm or X application, paste into vim.  The text you selected is not
inserted.

2.Left-click in the vim and drag over some text to select, press "esc" and now
try to paste into another application.  The selected text is not pasted.
  
Actual results:
X pasting of text comes from "a vim buffer.

Expected results:
X pasting of text comes from "* vim buffer.  "* does not exist when --with-x=no

Additional info:
I don't know what the right solution is.  On the one hand, I can see why you'd
want the non "gvim" package to not be built against X.  On the other hand, there
is significant functionality available for the text-mode vim with --with-x=yes,
including having pasted text do "set paste" when it is pasted, causing
indentation to be preserved, the abilty to click and drag window separators,
etc...  Perhaps have the vim-x11 package include both "gvim" and "xvim", where
xvim is built with the same arguments as the non-X vim, but --with-x=yes ?
Comment 1 jafo-redhat 2006-07-12 18:54:37 EDT
Scratch this, I didn't realize you can call gvim with "-v" to get it to run gvim
in an xterm, effectively the same as if you called "vim" which had been compiled
"--with-x=yes".  "alias vim='gvim -v'" should resolve this.  Thanks to Gary
Johnson of Agilent for pointing this out.

This ticket can be closed.

Sean
Comment 2 Karsten Hopp 2006-07-13 07:39:50 EDT
closing based on comment #1

Note You need to log in before you can comment on or make changes to this bug.